#!/bin/bash
#本脚本将会卸载系统常用输入法，主要用来解决以下问题：a、微信及wps等软件无法输入中文  b、桌面文件夹重命名无法输入中文  c、任务栏图标异常闪烁  d、打字反应迟钝等
echo "开发者模式检测中......"
echo
kfz=$(cat /var/lib/deepin/developer-mode/enabled)
if [ $kfz -ne 1 ]; then
       echo "检测到您的系统未打开开发者模式，无法执行此程序，请联系工程师处理"
       sleep 30
       exit 1
else 
       echo "检测到系统已进入开发者，即将开始卸载输入法......"
       echo
fi
echo "请输入开机密码,并按Enter键执行"
sudo apt -y  purge    $(dpkg -l | grep -E  "org.deepin.chineseime|com.iflytek.iflyime|com.sogou.sogoupinyin-uos-zyb|com.thunisoft.input"  | awk '{print $2}')  >> /opt/srf-repair/log/srf.log
srf=$(dpkg -l | grep -E  "org.deepin.chineseime|com.iflytek.iflyime|com.sogou.sogoupinyin-uos-zyb|com.thunisoft.input"  | awk '{print $2}')

if [ ! -n "$srf" ]; then
        echo "输入法卸载完成，即将开始清理输入法配置......"
        echo
        sleep 5
else
        echo "输入法卸载失败，详情请参照日志(/opt/srf-repair/log/srf.log)"
        sleep 60
        exit 1
fi
username=`id -un`
pwd=/home/$username/.config
srf_config_list=$(ls  $pwd |  grep  -E  "iflytek|org.deepin.chineseime|SogouPY|fcitx-huayupy|huayupy")
cd $pwd
rm -r $srf_config_list     >> /opt/srf-repair/log/srf.log
srf_config_list=$(ls  $pwd |  grep  -E  "iflytek|org.deepin.chineseime|SogouPY|fcitx-huayupy|huayupy")

if [ ! -n "$srf_config_list" ]; then
        echo "输入法配置清理完成，即将关闭对话框......"
        echo
        sleep 5
else
        echo "输入法配置清理失败，详情请参照日志(/opt/srf-repair/log/srf.log)"
        sleep 60
        exit 1
fi

fcitx -r    